Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ProcMessageGrp Class Reference

ProcMessageGrp provides a concrete specialization of MessageGrp that supports only one node. More...

`#include <message.h>`

Inheritance diagram for sc::ProcMessageGrp:

[legend]
Collaboration diagram for sc::ProcMessageGrp:

[legend]
List of all members.

## Public Methods

| ProcMessageGrp ()
| ProcMessageGrp (const Ref< KeyVal > &)
| ~ProcMessageGrp ()
Ref< MessageGrp > | clone (void)
| Returns a copy of this MessageGrp specialization that provides an independent communication context.
void | raw_send (int target, void *data, int nbyte)
void | raw_sendt (int target, int type, void *data, int nbyte)
void | raw_recv (int sender, void *data, int nbyte)
void | raw_recvt (int type, void *data, int nbyte)
void | raw_bcast (void *data, int nbyte, int from)
int | probet (int type)
| Ask if a given typed message has been received.
void | sync ()
| Synchronize all of the processors.

## Detailed Description

ProcMessageGrp provides a concrete specialization of MessageGrp that supports only one node.

The documentation for this class was generated from the following file:

- message.h